#
# spec file for package evms (Version 2.5.5)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# usedforbuild    Mesa aaa_base acl atk attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo coreutils cpio cpp cracklib curl cvs cyrus-sasl db diffutils e2fsprogs e2fsprogs-devel expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 gawk gcc gdbm gdbm-devel gettext gettext-devel glib glib-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz gnome-filesystem gnutls gpm grep groff gtk gtk-devel gtk2 gzip heartbeat heartbeat-pils heartbeat-stonith info insserv iptables klogd less libacl libart_lgpl libattr libcom_err libdrm libgcc libgcrypt libglade2 libgpg-error libidn libjpeg libnet libnscd libpng libstdc++ libsvg libsvg-cairo libtool libxcrypt libxml2 libzio logrotate m4 make man mktemp module-init-tools ncurses ncurses-devel net-snmp net-tools netcfg openldap2-client openmotif-libs openssl pam pam-modules pango patch perl perl-TermReadKey permissions pkgconfig popt procinfo procps psmisc pwdutils python python-cairo python-gtk python-numeric python-xml rcs readline rpm rrdtool sed sensors strace sysfsutils sysvinit tar tcpd telnet texinfo timezone udev unzip util-linux vim xorg-x11 xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           evms
BuildRequires:  e2fsprogs-devel glib2-devel gtk-devel heartbeat xorg-x11
URL:            http://sourceforge.net/projects/evms/
License:        GPL
Group:          System/Base
Requires:       device-mapper
%if %suse_version > 800
PreReq:         /bin/rm
%endif
Autoreqprov:    on
Version:        2.5.5
Release:        24.12
Summary:        EVMS--Enterprise Volume Management System
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         http://prdownloads.sourceforge.net/evms/evms-%{version}.tar.bz2
Source1:        boot.evms
Source2:        evms-lvm-comp.pdf
Source3:        iscsi-plugin.tar.bz2	
Source4:        evms
#Patch:        evms-s390.patch
Patch:          rename-timestamp.dif
Patch1:         evms-s390-IOR.patch
Patch2:         evms-2.3.0-lib64.dif
Patch3:         plugin_load_filter.dif
Patch4:         dos_plugin_activation.patch
Patch5:         prevent_compiler_warning.patch
Patch6:         hb2-autojoin.patch 
Patch7:         ocfs2.patch
Patch8:         configure-iscsi.diff
Patch9:         aclocal-iscsi.diff
Patch10:        md_raid5_degrade_fix.patch
Patch11:        compaq_naming_gpt.patch
Patch12:        prevent_unaligned_warning.patch
Patch13:        md_super_fix.patch
Patch14:        drivelink_declined_objects.patch
Patch15:        evms_fat.patch
Patch16:        ntfs_unmkfs.patch
Patch17:        call-browser.patch
Patch18:        md_super_fix2.patch
Patch19:        md_over_limit_error.patch
Patch20:        allow_container_on_active_md.patch

%description
This package contains the userspace tools needed to manage EVMS
(Enterprise Volume Management System) volumes.

See the EVMS-HOWTO in /usr/share/doc/packages/EVMS for detailed
instructions on patching your kernel with EVMS and using the tools
after installation.



Authors:
--------
    Kevin Corry <corryk@us.ibm.com>
    Joy Yokley Goodreau <joyg@us.ibm.com>

%debug_package
%package gui
Summary:        EVMS - GUI Frontend
Group:          System/Base
Autoreqprov:    on
Requires:       evms = %{version}

%description gui
This package contains the GUI frontends needed to manage EVMS
(Enterprise Volume Management System) volumes.



Authors:
--------
    Kevin Corry <corryk@us.ibm.com>
    Joy Yokley Goodreau <joyg@us.ibm.com>

%package ha
Summary:        EVMS - HA Utilities
Group:          System/Base
Autoreqprov:    on
Requires:       evms = %{version} heartbeat

%description ha
This package contains the utilities needed for high availiability
features for EVMS.



Authors:
--------
    Kevin Corry <corryk@us.ibm.com>
    Joy Yokley Goodreau <joyg@us.ibm.com>

%prep
%setup -a3 
%patch  
%patch1
%patch2
%patch3
%patch4 -p1
%patch5
%patch6
%patch7
%patch8
%patch9
%patch10 -p1
%patch11
%patch12
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17
%patch18 -p1
%patch19 -p1
%patch20

%build
autoconf
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" ./configure --mandir=/usr/share/man --disable-ha --exec-prefix=/  --libdir=/%_lib
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR="$RPM_BUILD_ROOT" prefix="/usr" install
mkdir -p $RPM_BUILD_ROOT/etc
cp /etc/ld.so.conf $RPM_BUILD_ROOT/etc
install -m 644 doc/evms.conf $RPM_BUILD_ROOT/etc
ldconfig -r $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/init.d
install -m 744 %{SOURCE1} $RPM_BUILD_ROOT/etc/init.d
install -m 744 %{SOURCE4} $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/evms
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_defaultdocdir}/evms
install -m 644 PLUGIN.IDS README TERMINOLOGY INSTALL* $RPM_BUILD_ROOT%{_defaultdocdir}/evms
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/evms/cli_scripts
install -m 755 tests/cli_scripts/* $RPM_BUILD_ROOT%{_defaultdocdir}/evms/cli_scripts
mkdir $RPM_BUILD_ROOT/usr/sbin
mv $RPM_BUILD_ROOT/sbin/evmsn $RPM_BUILD_ROOT/usr/sbin
mv $RPM_BUILD_ROOT/sbin/evmsgui $RPM_BUILD_ROOT/usr/sbin
mv $RPM_BUILD_ROOT/sbin/evmsccm $RPM_BUILD_ROOT/usr/sbin
rm -f $RPM_BUILD_ROOT/etc/ld.so.cache
rm -f $RPM_BUILD_ROOT/etc/ld.so.conf
rm -f $RPM_BUILD_ROOT/etc/evms.conf.sample
rm -f $RPM_BUILD_ROOT/usr/share/locale/en@*quot/LC_MESSAGES/evms.mo
mkdir $RPM_BUILD_ROOT/%_libdir
mv $RPM_BUILD_ROOT/%_lib/lib*.a $RPM_BUILD_ROOT/%_libdir
ln -sf ../../%_lib/libevms.so $RPM_BUILD_ROOT/%_libdir/libevms.so

%clean
rm -rf $RPM_BUILD_ROOT

%post
rm -f /etc/sysconf/evms

%postun
%{insserv_cleanup}

%files
%docdir /usr/share/doc/packages/evms
/usr/share/doc/packages/evms
%config /etc/evms.conf
%config /etc/init.d/boot.evms
%config /etc/init.d/evms
/%_lib/lib*.so*
/%_libdir/lib*.so
/%_libdir/lib*.a
%dir /%_lib/evms
%dir /%_lib/evms/%{version}
%exclude /%_lib/evms/%{version}/hb2*
/%_lib/evms/%{version}/[^h]*
/sbin/evms
/sbin/evms_activate
/sbin/evms_gather_info
/sbin/evms_metadata_backup
/sbin/evms_metadata_restore
/sbin/evms_query
/sbin/evmsd
/sbin/evmsd_worker
%dir /usr/include/evms
/usr/include/evms/*.h
%{_mandir}/man8/*

%files gui
/usr/sbin/evmsgui
/usr/sbin/evmsn

%files ha
/usr/sbin/evmsccm
/%_lib/evms/%{version}/hb2*
/etc/ha.d/resource.d/evms_failover

%changelog -n evms
* Mon Jun 05 2006 - ghorlacher@suse.de
- removed restart, skip fillup in spec file.
* Fri Jun 02 2006 - cgao@novell.com
- add init script 'evms' to fix bug #179219
* Thu Jun 01 2006 - fehr@suse.de
- add Kevin Corrys version of prevent_unaligned_warning.patch (#179923)
- add two patch by Kevin Corry to fix #179907
- add patch to allow EVMS over MD during install (#167943)
* Mon May 29 2006 - fehr@suse.de
- fix bug #178454 that slipped in with fix for #172039
* Wed May 24 2006 - fehr@suse.de
- add call-browser to searchlist for webbrowsers (#178150)
- make the error popup dialogs modal (#178150)
* Tue May 23 2006 - fehr@suse.de
- add ntfs_unmkfs.patch to fix #176945
* Mon May 22 2006 - fehr@suse.de
- add evms_fat.patch to fix (#176950)
- replace evms_raid5.patch by md_raid5_degrade_fix.patch (#176941)
- fix another bunch of unaligned access warnings on IA64 (#172039)
* Tue May 09 2006 - fehr@suse.de
- add drivelink_declined_objects.patch to fix (#172887)
* Wed May 03 2006 - fehr@suse.de
- prevent another warning about misalignment on ia64 (#172039)
* Wed Apr 26 2006 - ghorlacher@suse.de
- add md_super_fix.patch for bug #169283
* Thu Apr 20 2006 - fehr@suse.de
- prevent warning about misalignment on ia64 (#167207)
* Wed Apr 19 2006 - fehr@suse.de
- add evms_raid5.patch to fix bug #167203
- add compaq_naming_gpt.patch to make naming on gpt disk label
  consistent with dos disk label (#167397)
* Fri Apr 07 2006 - ghorlacher@suse.de
- wrwhitehead -Bugfix 164170 - causes exit when iscsitarget
  not installed
* Mon Apr 03 2006 - ghorlacher@suse.de
- Changju: fixing Bug 158559
  evmsgui starts out with an error message on all my machines
* Fri Mar 17 2006 - ghorlacher@suse.de
- Added evms-iscsi plugin to evms
- wrwhitehead - bugfix 158493
* Mon Mar 13 2006 - ghorlacher@suse.de
- Changju: updated evms to version 2.5.5 - patches and sources
  changed as fixes where accepted and included upstream
* Mon Feb 27 2006 - ghorlacher@suse.de
- Put the evms-hb2-1.0.0.so back into ha subpackage
* Thu Feb 16 2006 - ro@suse.de
- add configure.ac and aclocal.m4 parts to evms-config.patch
- move evmsccm to /usr/sbin
- move hb2 plugin to subpackage (revived evms-ha)
* Thu Feb 16 2006 - ghorlacher@suse.de
- added hb2 and ocfs2 plugins
* Tue Feb 07 2006 - fehr@suse.de
- add md_ffs.patch to fix bug #148560
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 09 2006 - fehr@suse.de
- add allow_partition_segment.diff to allow partitions activated by
  dos_plugin_activation.patch in a container
- update to version 2.5.4 of evms
* Mon Dec 19 2005 - fehr@suse.de
- add prevent_compiler_warning.patch to fix #139579
* Thu Oct 20 2005 - fehr@suse.de
- add ignore_sysfs.patch to make it possible to force EVMS to scan /dev
* Tue Oct 18 2005 - fehr@suse.de
- fix problem of device node creation of cciss devices (#119140)
* Mon Aug 22 2005 - ro@suse.de
- add so-link to /usr/lib
* Fri Aug 19 2005 - ro@suse.de
- move static lib to /usr/lib
* Thu Aug 11 2005 - fehr@suse.de
- update to evms 2.5.3 to fix bug #104046
* Fri Jun 24 2005 - ro@suse.de
- move gui frontends from /sbin to /usr/sbin
* Thu Jun 09 2005 - meissner@suse.de
- fixed overflow with upstream patch to md_super.c.
* Thu Apr 07 2005 - fehr@suse.de
- update to evms 2.5.2
* Tue Feb 22 2005 - fehr@suse.de
- do not build evms-ha any more
* Tue Dec 21 2004 - uli@suse.de
- bug fixes for s390 segment manager (bug #42436)
* Thu May 13 2004 - fehr@suse.de
- update to bugfix release 2.3.3
- remove separate patches xfs.patch, sigcont.patch, replace.patch
- add patches csm_options.patch and membership_names.patch
* Mon May 03 2004 - fehr@suse.de
- add xfs.patch which fixes LTC bug 7959
* Thu Apr 29 2004 - fehr@suse.de
- add patches replace.patch and sigcont.patch from evms developers
* Wed Apr 28 2004 - fehr@suse.de
- fix bug that ha-plugin shows up in plain evms.rpm should only
  be in evms-ha.rpm
* Tue Apr 27 2004 - fehr@suse.de
- update to 2.3.2
* Wed Mar 31 2004 - fehr@suse.de
- update to 2.3.1 (obsoletes prevent_md_crash.dif)
* Mon Mar 29 2004 - fehr@suse.de
- add patch prevent_md_crash.dif (#36986)
* Wed Mar 24 2004 - fehr@suse.de
- add helper scripts to package
- add heartbeat to requires for evms-ha (#36861)
* Mon Mar 15 2004 - ro@suse.de
- fix prereq: only /bin/rm is needed now
* Mon Mar 15 2004 - fehr@suse.de
- /etc/sysconfig/evms not needed any more, boot.evms is not
  linked automatically after installation
- fix orphan %%endif
- make it require device-mapper
* Mon Mar 15 2004 - fehr@suse.de
- start evms only if EVMS_START_ON_BOOT is not set to "no" (#35989)
- remove obsolete entries from /etc/sysconfig/evms
- add functionality to evmslib to ease interaction with YaST2
* Mon Mar 08 2004 - ro@suse.de
- fix to find heartbeat on lib64
* Mon Mar 08 2004 - fehr@suse.de
- split off GUIs into evms-gui subpackage
- add heartbeat packages to needforbuild to make ha plugin
- split off HA utilities and plugin into evms-ha subpackage
* Mon Mar 08 2004 - fehr@suse.de
- add boot.device-mapper to Required-Start
* Wed Mar 03 2004 - fehr@suse.de
- update to new version 2.3.0
* Mon Feb 16 2004 - hare@suse.de
- Fixed to build on s390*
* Thu Jan 29 2004 - fehr@suse.de
- rename exported function timestamp from libevms to avoid name
  clash with exported function timestamp from librpmio. Otherweise
  nasty memory corruption occurs if you use libevms and librpmio
  in the same application.
* Wed Jan 28 2004 - fehr@suse.de
- update to new version 2.2.2
* Wed Jan 14 2004 - uli@suse.de
- fixed to build on s390*
- build with -fno-strict-aliasing (lots of mean-looking warnings)
* Thu Jul 24 2003 - fehr@suse.de
- update to current CVS version of EVMS (because of new device-mapper)
* Mon Jul 21 2003 - fehr@suse.de
- update to new version 2.1.0
* Wed May 28 2003 - ro@suse.de
- remove unpackaged files from buildroot
- package static libs as well
* Mon Mar 31 2003 - fehr@suse.de
- update to version 1.2.1 of user level tools (#25966)
* Mon Feb 03 2003 - fehr@suse.de
- use new sysconfig metdata (#22640)
* Tue Nov 26 2002 - fehr@suse.de
- fix some things in start script
- add missing documentation files to RPM
* Tue Oct 29 2002 - fehr@suse.de
- add module s390_part to EVMS_MODULES default value for S390 (#21293)
* Wed Oct 09 2002 - kukuk@suse.de
- Update to 1.2.0 [Bug #20443]
* Mon Sep 02 2002 - fehr@suse.de
- use %%_libdir macro to have libs in /usr/lib64 where necessary (#18720)
* Tue Aug 20 2002 - fehr@suse.de
- changed defaults in /etc/sysconfig/evms
* Mon Aug 19 2002 - fehr@suse.de
- make it compile without kernel sources installed
* Mon Aug 19 2002 - fehr@suse.de
- fix boot.evms to output "skipped" if evms is not activated
* Mon Aug 19 2002 - fehr@suse.de
- add version 1.1.0 to SuSE distribution
